Subject: Re: your submission to Memoirs of the AMS (fwd)

From: Keith Kearnes <[email-masked]>
Date: Wed, 1 Aug 2007 20:05:20 -0700 (PDT)

Dear Steffen-
 
 I am the corresponding author (Keith Kearnes). I am currently on a bicycle tour
 of the US Pacific coast from Canada to Mexico and I have limited access to the internet, so my answer will have to be `brief'. Also, I will have to quote facts from memory. I could probably give a more complete and accurate answer when I 
 get back to Boulder in a few weeks, but since it seems that you have halted 
 the refereeing process I feel obligated to answer now.
 
 What we wrote (or did not write) about George Gratzer in our MS was not an
 oversight, and was not malice. What we wrote was correct, and what the 
 referee writes in his email is incorrect.
 He gives an inaccurate portrayal of the purpose of our MS, of the `historical
 content' of our MS, and of the true events. 
 
 A. The referee's commission.
 
 Each journal has its own acceptance criteria. Those of the AMS Memoirs are that a paper be:
 (i) correct
 (ii) new
 (iii) significant
 (iv) well written
 (v) of interest to a substantial number of mathematicians.
 
 A referee is an expert employed to determine if THESE criteria are met.
 Any statements by a referee on matters of taste or opinion are outside of
 his commission. But this is exactly what our referee is doing: he is stating
 that George Gratzer should be represented as `more influential' than we have 
 represented him. This is his opinion, but outside of his commission. Such 
 remarks should have NO WEIGHT in the consideration of our MS.
 ---
 B. The referee's remarks are factually incorrect.
 
 The referee states that Gratzer's sole paper on Maltsev conditions ``was
 the first paper on the topic''. This is FALSE. If it were the first, then obviously they would be called `Gratzer conditions', not `Maltsev conditions'!
 
 What is universally considered to be the first paper on Maltsev conditions is Maltsev's 1953 paper, which predates Gratzer's paper by 17 years. 
 Indeed, Gratzer's paper was not the SECOND paper on 
 Maltsev conditions (Pixley 1963), it was not the THIRD (Jonsson 1966), ...etc.
 
 In fact, Gratzer's paper itself contains citations to FOUR earlier papers on
 Maltsev conditions in the bibliography! How then could his be the first???
 Indeed, I am really astonished that the referee can quote the abstract to
 Gratzer's paper as saying 
 ``This paper is patterned after theorems of Maltsev and Jonsson...'' 
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 and then claim that Gratzer's paper is the first!!
 How can a paper whose abstract admits ``This paper is patterned after earlier papers on Maltsev conditions...'' be the FIRST paper on Maltsev conditions???
 ---
 C. Even if the referee's statements were true, they would be irrelevant.
 
 Our manuscript is about the question:
 
 (*) Which varieties satisfy congruence identities? 
 
 Our MS is *NOT* about Maltsev conditions, it is about congruence identities. 
 It is true that we are forced to explore
 the interplay between SPECIAL TYPES of Maltsev conditions, 
 SPECIAL TYPES of term conditions, and SPECIAL TYPES of 
 congruence lattice shapes. We make no attempt to delineate the 
 general history of Maltsev conditions, OR the general history of term
 conditions, OR the general history of congruence lattices. Instead we make
 historical references only when they are DIRECTLY RELEVANT to the MS.
 In the case of Maltsev conditions, the only ones directly relevant to
 the MS are THOSE ASSOCIATED TO CONGRUENCE IDENTITIES
 (because that is what the MS is about).
 
 Gratzer wrote a single paper on Maltsev conditions. It has no 
 DIRECT RELEVANCE to anything in our MS, because it does 
 not concern Maltsev conditions associated to congruence identities. 
 This alone is sufficient to exclude it from mention. 
 (Or, to put this in the reverse way, in order to qualify for mention
 on our MS, a paper must be DIRECTLY RELEVANT to the theorems 
 we prove, and Gratzer's is not.)
 
 D. How much `history' is appropriate??
 
 I am skeptical of the `mathematical histories' included in research articles.
 It is my experience that authors who include these are not trying record history,
 but to REWRITE history.
 
 For example, I know of a paper by Mathematicians A and B where, immediately
 after publication, EACH of A and B confided to me that 70-80% of the results
 were theirs and only 20-30% were due to the other coauthor. This is mathematically impossible, but I believe that both authors were sincere in their
 assessments. People just don't see things the same way, even at the
 moment an idea is created.
 
 Furthermore, `history' changes over time. I know an example where 
 C and D wrote a book. At the time of publication I asked C how it 
 came about, and he said ``D came to me with the first theorem of 
 this subject. He had the main idea that made later things work.'' 
 I later learned that certain chapters came directly out of D's PhD thesis.
 Yet ten years later I heard C refer to the joint work as ``MY theory''. 
 In fact, a third author E wrote a later book with a chapter
 summarizing the main results of book [CD], and the chapter was called
 ``C's theory''. Coathor D had been completely written out of the picture
 in the space of 10 years!
 One cannot trust memory (and this includes the memory of the `older
 gentleman' whose words guided the referee).
 
 I, personally, have had ideas attributed to me that were NOT mine, and ideas that WERE mine attributed to others.

 For all these reasons I do not include ANY `history for its own sake' 
 in any of my writings. I do NO `storytelling' (as the referee calls it).
 
 I do, however, make the necessary historical references. 
 They are typically of the form ``Theorem X is proved in paper [Y] by 
 mathematician Z'' or ``Idea X is taken from [Y], written by Z''. However, 
 as I said above, this is only done when the theorem/idea is 
 DIRECTLY RELEVANT to what I am writing. I must feel that the reader 
 HAS TO KNOW about a theorem/idea to appreciate what I am writing, and 
 I include the citation to DENY ORIGINALITY.
 
 These are my principles concerning `historical references', and they are
 reasonable ones. If one applies these priciples to Gratzer's paper, it is 
 clear why it is not cited: no idea in his paper is connected to any idea
 in our MS. That alone is reason enough to omit mention of his paper.
 
 E. Final commments.
 
 (i) the referee claims that we dedicated our paper to Walter Taylor 
 BECAUSE he solved a problem of Gratzer's. 
 How the hell can he know that???
 
 The truth: Taylor is included in our dedication because he made the 
 most significant contributions to the subject of Maltsev condition of any mathematician.  He has written NUMEROUS papers on the subject, 
 transformed this area of research, and his book with Garcia is considered 
 `The Bible' of the subject. (The referee claims Taylor wrote only one
 paper on Maltsev conditions. This assertion only further confirms his 
 complete ignorance of this area of research, which Taylor dominated.)
 
 Moreover, every dedication of every book is at least partly a personal homage, something a referee clearly has no right to comment on. I have been deeply influenced by Taylor's work, and I have a right to express this in the dedication.
 
 (ii) the referee claims that our paper is `basically about lattices'. FALSE!
 It is basically about varieties. 
 
 The referee then complains that, because our MS is `basically about lattices', we 
 should have cited Gratzer's book on lattice theory. For the lattice theory we need 
 we cite two basic textbooks: the one by Birkhoff (also known as the `father of
 lattice theory') and the one by Freese-Jezek-Nation, since we need specific 
 material from that book. There was no intentional avoidance off Gratzer's book, 
 but simply no need for so many references to basic material. (How petty must
 one be to insist that we cite Gratzer rather than Birkhoff!!!) 
 ---------------------------------------------------------------------------------------------
 In summary:
 The referee is commenting on a matter of opinion, not fact.
 We are not obligated to prefer his taste over our own.
 His commments on the historical significance of Gratzer's 
 contribution are not relevant because we do not include any 
 historical survey of any topic in our MS, we only cite results that 
 are directly relevant to the theorems we prove.
 Finally, his commments include many false statements and
 distortions of the truth.
 
 The only explanation I see for all of this is that he has a personal connection 
 to George Gratzer (eg, is a PhD student or coauthor). He clearly does not 
 much about Maltsev conditions. It is my impression that he made only a
 casual effort to understand the facts about which he was commenting.
 
 I hope that in the future you will give weight to item A above.
 
 Yours,
 Keith

 Date: Wed, 25 Jul 2007 13:44:22 -0500 (CDT)
From: Steffen Lempp 
To: [email-masked], [email-masked]
Subject: your submission to Memoirs of the AMS

Dear Profs. Kearnes and Kiss,
I ran your manuscript by a referee and received the below report, after some 
discussions by phone (complicated and delayed by the fact that we live in a 
very different time zone, so I had to time my calls just right to catch the 
referee at an appropriate time).
In any case, the referee raises some non-mathematical issues which I would like 
to resolve first: Can you please elaborate on the items raised by the referee? 
(I am assuming that this was a mere oversight rather than malice...)
Once I have your answer, I will pass it along to the referee; and we will then 
start the usual refereeing process.
Thanks,      Steffen Lempp

********************************************************************************

Office address: Prof. Steffen Lempp
   Department of Mathematics
   University of Wisconsin
   480 Lincoln Drive
   Madison, WI 53706-1388   USA
Office phone:   (608) 263-1975
Office fax:     (608) 263-8891
WWW home page:  http://www.math.wisc.edu/~lempp

********************************************************************************

FROM THE REFEREE:

Dear Prof. Lempp,

When I started reading the manuscript, I was quite surprised. A few days ago, 
at the Vanderbilt Meeting, I was talking to an older mathematician about the 
subject matter of this book. We are both quite interested in the topic and we 
were perusing the MS of the book (mentioned several times at the meeting) we 
obtained from Kearnes' Web site -- it was posted there some time last year. My 
friend recalled that he first heard about Maltsev conditions at the 1968 
Universal Algebra Meeting in Oberwolfach. He was present when Gratzer had a 
conversation with McKenzie defining the concept and stating that regularity and 
weak regularity are Maltsev type. This is a typical McKenzie story: he did not 
believe the result and stayed up all night to prove it.

This is not the story being told in the MS. Since my friend related his 
recollections from 40 years ago, I decided to check the facts myself. This is 
what I found.

Gratzer published the first paper on the topic:

Two Mal'cev type theorems in universal algebra, J. Combinatorial Theory 8 
(1970), 334--342.

Here is the abstract (copied from Gratzer's Web site):

"Patterned after theorems of Mal'cev and Jonsson, certain types of
conditions for equational classes of algebras are named "Mal'cev type".
Regularity and weak regularity of equational classes of algebras are
proved to be of "Mal'cev Type"."

Then, at the end of the paper he states four conditions that a class defined by 
a Maltsev condition has to satisfy. He raises the question:

"It is an open problem whether (i)-(iv) along with some further
conditions of this type could characterize properties that are
equivalent to Mal'cev-type conditions."

This problem was solved by Walter Taylor, published as Characterizing Mal'cev 
conditions in Alg. Univ. 3 (1973), 351-397. He found a fifth condition so that 
the five conditions together are necessary and sufficient.

This MS is dedicated to three people, Taylor being one, for his contribution to 
Maltsev conditions (his one paper in which Gratzer's problem is solved). 
Gratzer's paper is not referenced, and he is not given credit at all.

It gets even more interesting. This is a book, basically, on lattices. 
Gratzer's lattice book is not referenced, nor is his new book, The Congruences 
of a Finite Lattice (2006), which would have been particularly appropriate 
since it contains a brief introduction to lattices containing most of what they 
need.

In the references I find only one work of Gratzer, with two typos. What would 
Freud say about this?

Curious story.

Best regards,

                                        XXX

---
Keith A. Kearnes
[email-masked]
       
---------------------------------
Park yourself in front of a world of choices in alternative vehicles.
Visit the Yahoo! Auto Green Center.

---

From: Emil Kiss <[email-masked]>
Date: Thu, 2 Aug 2007 07:17:46 +0200

Keith,

1. Have fun riding.
2. I agree with your answer.
3. Who the hell this referee is? Can we expect anything good
from him after such a letter? Aren't you worried?
4. One point that I may have said in my response: this is a
RESEARCH paper and NOT a SURVEY paper.
5. Is the submitted version the same as the one on your
homepage?

Emil

---

From: Keith Kearnes <[email-masked]>
Date: Wed, 1 Aug 2007 22:53:55 -0700 (PDT)

Dear Emil-
 
 I'm sorry that I did not have time (or, did not feel that I had time)
 to show the answer to you first. I am touring and only get to read my email 
 once each 7-10 days.

 I left July 1 from Kamloops British Columbia and am currently in 
 Ojai California, slightly east of Santa Barbara. I have ridden 1785 miles
 so far. I expect to finish my whole trip in mid-August.
 
 Agi and I made independent guesses as to the identity of the referee,
 and we both picked Fred Wehrung. He is a Gratzer disciple who 
 has never published anything about congruence identities. Also, the
 `Freud comment' at the end sounds like Wehrung.
 
 I don't know what we can expect. I DO know that the algebra editor of 
 the Memoirs is an asshole, and previous experience with Lempp (the 
 logic editor) suggests that he is a sensible guy. If something bad happens,
 let's just publish the book another way.
 
 I intended to emphasize that it is a research paper, but I guess
 that point got lost in preparing my reply.
 
 I do think the submitted version is the same, but I might have corrected
 a few minor typos. I won't know until I get home.
 -------------------
 I am not reading my euclid email while on tour. Agi forwarded Lempp's
 message to my yahoo email, which I can access from public libraries
 (which don't have ssh and don't allow downloading software to use ssh).
 Agi also told me you agreed to handle the DPC corrections -- thanks!
 
 Yours,
 Keith

Emil Kiss <[email-masked]> wrote: Keith,

1. Have fun riding.

Emil

---
Keith A. Kearnes
[email-masked]
       
---------------------------------
Be a better Heartthrob. Get better relationship answers from someone who knows.
Yahoo! Answers - Check it out.

---

From: "Keith A. Kearnes" <[email-masked]>
Date: Mon, 27 Aug 2007 14:30:56 -0600 (MDT)

Dear Steffen-

A few weeks ago you told us that you halted the refereeing process on our 
manuscript in order to clear up some issue raised by the referee. I 
responded to this then, but have not heard back whether you restarted the 
refereeing process. What can you tell us?

Yours,
Keith

-- 
Keith A. Kearnes           Email: [email-masked]
Department of Mathematics  WWW: http://spot.colorado.edu/~kearnes
University of Colorado     Direct Phone: (303) 492-5203
395 UCB                    Dept Phone: (303) 492-3613
Boulder, CO 80309-0395     Fax: (303) 492-7707

---

From: Steffen Lempp <[email-masked]>
Date: Mon, 27 Aug 2007 15:36:32 -0500 (CDT)

Dear Keith,
I am glad you asked: Our spam filter here is VERY sensitive, so it must have 
gotten lost. I'm very sorry that I didn't catch your name when I cleaned out 
my spam mailbox. (I get at least 50 spams a day and clean it out about once a 
week.)
Can you please resend your message? I'll whitelist your addresses so it won't 
get lost again.
With apologies,				Steffen

On Mon, 27 Aug 2007, Keith A. Kearnes wrote:

> manuscript in order to clear up some issue raised by the referee. I responded 
> to this then, but have not heard back whether you restarted the refereeing 
> process. What can you tell us?
>
> Yours,
> Keith
>
>
>> of the US Pacific coast from Canada to Mexico and I have limited access to 
>> the internet, so my answer will have to be `brief'. Also, I will have to 
>> quote facts from memory. I could probably give a more complete and accurate 
>> answer when I
>> the first paper on the topic''. This is FALSE. If it were the first, then 
>> obviously they would be called `Gratzer conditions', not `Maltsev 
>> conditions'!
>> 
>> What is universally considered to be the first paper on Maltsev conditions 
>> is Maltsev's 1953 paper, which predates Gratzer's paper by 17 years.
>> How can a paper whose abstract admits ``This paper is patterned after 
>> earlier papers on Maltsev conditions...'' be the FIRST paper on Maltsev 
>> conditions???
>> ---
>> were theirs and only 20-30% were due to the other coauthor. This is 
>> mathematically impossible, but I believe that both authors were sincere in 
>> their
>> I, personally, have had ideas attributed to me that were NOT mine, and 
>> ideas that WERE mine attributed to others.
>> 
>> most significant contributions to the subject of Maltsev condition of any 
>> mathematician.  He has written NUMEROUS papers on the subject,
>> Moreover, every dedication of every book is at least partly a personal 
>> homage, something a referee clearly has no right to comment on. I have been 
>> deeply influenced by Taylor's work, and I have a right to express this in 
>> the dedication.
>>

---

From: "Keith A. Kearnes" <[email-masked]>
Date: Mon, 27 Aug 2007 14:44:38 -0600 (MDT)

> Can you please resend your message? I'll whitelist your addresses so it won't 

I included it at the end of the message I just sent to you. (Hence it 
is included again at the foot of *this* message.)

Yours,
Keith

>>> quote facts from memory. I could probably give a more complete and 
>>> accurate answer when I
>>> homage, something a referee clearly has no right to comment on. I have 
>>> been deeply influenced by Taylor's work, and I have a right to express 
>>> this in the dedication.
>>>

---

From: Steffen Lempp <[email-masked]>
Date: Mon, 27 Aug 2007 15:48:51 -0500 (CDT)

Sorry I didn't catch that; I'm glad you were still on email, enjoy that bike 
ride!
I'll run your reply by the referee and then see what I need to do.
Best,					Steffen

On Mon, 27 Aug 2007, Keith A. Kearnes wrote:

>> Dear Keith,
>> I am glad you asked: Our spam filter here is VERY sensitive, so it must 
>> have gotten lost. I'm very sorry that I didn't catch your name when I 
>> cleaned out my spam mailbox. (I get at least 50 spams a day and clean it 
>> out about once a week.)
>> Can you please resend your message? I'll whitelist your addresses so it 
>> won't get lost again.
>> With apologies,				Steffen
>
>
> I included it at the end of the message I just sent to you. (Hence it is 
> included again at the foot of *this* message.)
>
> Yours,
> Keith
>
>> 
>>>> of the US Pacific coast from Canada to Mexico and I have limited access 
>>>> to the internet, so my answer will have to be `brief'. Also, I will have 
>>>> to quote facts from memory. I could probably give a more complete and 
>>>> accurate answer when I
>>>> What is universally considered to be the first paper on Maltsev 
>>>> conditions is Maltsev's 1953 paper, which predates Gratzer's paper by 17 
>>>> years.
>>>> mathematically impossible, but I believe that both authors were sincere 
>>>> in their

---

From: Steffen Lempp <[email-masked]>
Date: Fri, 31 Aug 2007 13:19:37 -0500 (CDT)

Dear Keith,
Given the very delicate situation I was put in by the conflict between you and 
the referee, and given that I am relatively unfamiliar with your area, I have 
consulted with two more senior people whom I know personally and trust.
Both of them have essentially sided with you in this conflict: While they both 
would have liked to see more history mentioned in your manuscript, they did 
confirm that the history you do present is accurate, and also described your 
manuscript as very interesting and definitely worth publishing, assuming, as 
usual, correctness and presentation.
I have therefore decided to ask the current referee to bow out and am now 
looking for an alternate referee. I have already asked another referee and 
expect to hear from him/her positively within a week or so.
Please rest assured that I am doing my utmost to treat your manuscript in a 
fair and unbiased manner.
Best regards,					Steffen

---

From: "Keith A. Kearnes" <[email-masked]>
Date: Fri, 31 Aug 2007 12:21:59 -0600 (MDT)

> expect to hear from him/her positively within a week or so.

Thanks! This sounds like the best solution.

Yours,
Keith